@ECHO OFF
REM Version 1.7
REM vom 03. 04. 2019
ECHO Jose: Standard-Reports
ECHO ======================
ECHO.
ECHO.
ECHO Diese Batchdatei erzeugt Standard-Reports mit Jose.
ECHO Die Reportdateien tragen beschreibende Namen mit angehaengtem Zeitstempel.
CD %0\..

REM Zeitstempel erzeugen
SET DateTempFile=%RANDOM%Temp.vbs
CD %0\..
ECHO dtmNow = Now()>%DateTempFile%
ECHO strDate = Year(dtmNow) ^& Right("0" ^& Month(dtmNow),2) ^& Right("0" ^& Day(dtmNow), 2) ^& "-" ^& Right("0" ^& Hour(dtmNow), 2) ^& Right("0" ^& Minute(dtmNow), 2) ^& Right("0" ^& Second(dtmNow), 2)>>%DateTempFile%
ECHO WScript.Echo strDate>>%DateTempFile%
FOR /F " usebackq delims==" %%a IN (`@CSCRIPT //NOLOGO %DateTempFile%`) DO (
	SET MyDate=%%a
)
DEL %DateTempFile%

set dom=%userdomain%
echo.
echo Zeitstempel fuer Dateinamen: %MyDate%
echo Name der Domaene: %dom%
echo Angemeldet als: %USERDOMAIN%\%USERNAME%
echo.
echo Domaenen-Metadaten ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!Domaene-Metadaten.txt /r:Domaene-Metadaten_%dom%_%MyDate%.htm
echo Ende: %time%
echo.
echo Domaenen-Info ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!Domaenen-Info.txt /r:Domaenen-Info_%dom%_%MyDate%.htm
echo Ende: %time%
echo.
echo Mail-Objekte ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!Mail-Objekte.txt /r:Mail-Objekte_%dom%_%MyDate%.htm
echo Ende: %time%
echo.
echo User-Computer-Gruppen ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!User-Computer-Gruppen.txt /r:User-Computer-Gruppen_%dom%_%MyDate%.htm
echo Ende: %time%
echo.
echo Computer-Sicherheit ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:!Computer-Sicherheit.txt /r:Computer-Sicherheit_%dom%_%MyDate%.htm
echo Ende: %time%
echo.
echo Builtin-Gruppen ...
echo Start: %time%
call .\Definitions\Create-DynamicReportsBuiltinUsers.bat
cscript //nologo //u JoseExec.vbs /d:TempBuiltin.txt /r:Builtin-Gruppen_%dom%_%MyDate%.htm
echo Ende: %time%
echo.
echo Users-Gruppen ...
echo Start: %time%
cscript //nologo //u JoseExec.vbs /d:TempUsers.txt /r:Users-Gruppen_%dom%_%MyDate%.htm
del .\Definitions\TempBuiltin.txt
del .\Definitions\TempUsers.txt
echo Ende: %time%
echo.
echo Anmeldedaten dokumentieren ...
call wer-bin-ich.bat>.\Reports\Angemeldeter_Benutzer_%MyDate%.txt
echo Fertig.
